> For the complete documentation index, see [llms.txt](https://docs.pandium.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandium.com/~/revisions/x7Thkx1S9I9SnLbXNFwg/reference/source-control/azure.md).

# Azure

**Provisioning Azure Source Control Integration**

**Please Note:** Starting April 2025, Microsoft will no longer accept new registrations of Azure DevOps OAuth apps. In order to connect your Azure repository, you will need to register an application using Microsoft Entra. For more information, please see [here](https://learn.microsoft.com/en-us/entra/identity-platform/quickstart-register-app). For additional information on these recent changes, see [here](https://devblogs.microsoft.com/devops/no-new-azure-devops-oauth-apps/).

***

Before any integrations can be built, the source control tenant needs to be setup. To do that, select the source control tenant and connect it to your [Microsoft Entra](https://docs.pandium.com/connectors/connectors-101/microsoft-entra) account, which will contain all the source code of the integrations that you will build in the future. When connecting the tenant for the first time, it'll ask you to get permissions to access your Microsoft Entra (Azure DevOps) organization. If you don't authorize it, the source control integration will not work properly. When the Entra tenant has been successfully connected, a green checkmark will appear next to it.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pandium.com/~/revisions/x7Thkx1S9I9SnLbXNFwg/reference/source-control/azure.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
